﻿using System;
using System.Linq;
using System.Windows;
using System.Collections.ObjectModel;

namespace WpfApplication2.ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class MainViewModel
    {
        public GraphSource DiagramItems { get; set; }
        public ObservableCollection<CustomGallery> Items { get; set; }

        public MainViewModel()
        {
            //create and populate the Diagram GraphSource collection
            this.DiagramItems = new GraphSource();

            NodeViewModel rootItem1 = new NodeViewModel() { Title = "Node 1", Position = new Point(200, 20), Id = "1" };
            this.DiagramItems.AddNode(rootItem1);

            NodeViewModel unitOne = new NodeViewModel() { ImageSource = "Images/Home.png", Position = new Point(100, 200), Id = "1.1" };
            this.DiagramItems.AddNode(unitOne);
            this.DiagramItems.AddLink(new LinkViewModel(rootItem1, unitOne) { Id = "1-1.1" });

            NodeViewModel unitTwo = new NodeViewModel() { ImageSource = "Images/Administration.png", Position = new Point(300, 200), Id = "1.2" };
            this.DiagramItems.AddNode(unitTwo);
            this.DiagramItems.AddLink(new LinkViewModel(rootItem1, unitTwo) { Id = "1-1.2" });

            NodeViewModel rootItem2 = new NodeViewModel() { Title = "Node 2", Position = new Point(500, 20), Id = "2" };
            this.DiagramItems.AddNode(rootItem2);
            this.DiagramItems.AddLink(new LinkViewModel(rootItem1, rootItem2) { Id = "1-2" });

            //create and populate the first custom gallery
            this.Items = new ObservableCollection<CustomGallery>();

            CustomGallery firstGallery = new CustomGallery { Header = "First Gallery" };
            NodeViewModel Item1 = new NodeViewModel() { Title = "Node 1", Position = new Point(200, 20), Id = "01" };
            NodeViewModel Item2 = new NodeViewModel() { ImageSource = "Images/Home.png", Position = new Point(100, 200), Id = "01.01" };
            NodeViewModel Item3 = new NodeViewModel() { ImageSource = "Images/Administration.png", Position = new Point(300, 200), Id = "01.02" };
            NodeViewModel Item4 = new NodeViewModel() { Title = "Node 2", Position = new Point(500, 20), Id = "02" };
            firstGallery.Shapes.Add(Item1);
            firstGallery.Shapes.Add(Item2);
            firstGallery.Shapes.Add(Item3);
            firstGallery.Shapes.Add(Item4);
            this.Items.Add(firstGallery);

        }
    }
}
